<h2 id="assessment-9.0-add-a-feature-to-your-eventonica-react-app">Assessment #9.0: Add a feature to your eventonica-react app</h2>
<h3 id="languages">Languages</h3>
<ul>
<li>JS</li>
</ul>
<h3 id="frameworks">Frameworks</h3>
<ul>
<li>React</li>
</ul>
<h3 id="libraries-tools">Libraries/ Tools</h3>
<ul>
<li>Jest</li>
<li>Enzyme</li>
</ul>
<h3 id="primary-goals">Primary Goals</h3>
<p>Demonstrate understanding of React, Enzyme, and Jest by adding a feature to your eventonica-react UI.</p>
<h3 id="overview">Overview</h3>
<p>In this project, you will have 4 hours to <strong>display the attendees of an event</strong> throughout your React/Postgres eventonica-react app.</p>
<h3 id="basic-requirements">Basic Requirements</h3>
<ol type="1">
<li>You can do online research, but do not share knowledge with other apprentices today.</li>
<li>Your project is due in 4 hours.</li>
</ol>
<h2 id="setup-instructions">Setup Instructions</h2>
<ul>
<li>[ ] Create a new branch called “attendees", and add all your changes there. Push your new branch up to GitHub.</li>
</ul>
<h2 id="project-instructions">Project Instructions</h2>
<hr />
<h4 id="react-enzyme">React &amp; Enzyme</h4>
<ul>
<li>[ ] Plan out the user’s journey:
<ul>
<li>where will they find the event attendee feature? where would they look for it?</li>
<li>how will the data be organized?</li>
<li>will the user need do perform an action to make the data visible?</li>
<li>will the data stay on the page, or can it be closed/minimized?</li>
</ul></li>
<li>[ ] Present and style your new data somewhere in the UI using React. Functionality should take priority over beauty.</li>
<li>[ ] Add shallow and mount testing with Enzyme and Jest for your new elements. ** Use any extra time to improve test coverage and add polish. You will be deploying this project next week. ** Commit early and often, with useful commit messages.</li>
</ul>
<hr />
<h4 id="submit-your-project">Submit your project</h4>
<ul>
<li>[ ] Your project and new feature must run.</li>
<li>[ ] Note any updates to run instructions in your branch’s README.md.</li>
<li>[ ] Do not merge “attendees" to your main branch. Push up your final changes, and send the url of your updated
    project to your Program Manager.</li>
</ul>
